Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenModule

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenModule

public class JrpcgenModule extends Object

## Constructor Summary

Constructors
Constructor
Description
`JrpcgenModule(JrpcgenContext context)`

## Method Summary

Modifier and Type
Method
Description
`JrpcgenConst`
`addConstant(String identifier, String value)`
`JrpcgenEnum`
`addEnumeration(String identifier, JrpcgenConst.Table elements)`
`JrpcgenConst`
`addEnumerationElement(String identifier, String value)`
`org.acplt.oncrpc.apps.jrpcgen.JrpcgenProgramInfo`
`addProgramInfo(String programId, String programNumber, org.acplt.oncrpc.apps.jrpcgen.JrpcgenVersionInfo.Table versions)`
`JrpcgenStruct`
`addStruct(String identifier, JrpcgenDeclaration.Table elements)`
`JrpcgenTypedefinition`
`addTypedefinition(JrpcgenDeclaration declaration)`
`JrpcgenUnion`
`addUnion(String identifier, JrpcgenDeclaration discriminant, Vector<JrpcgenUnionArm> arms)`
`void`
`generateJavaFiles()`
`JrpcgenDeclaration`
`newDynamicVectorDeclaration(String identifier, String type, String size)`
`JrpcgenDeclaration`
`newFixedOpaqueDeclaration(String identifier, String size)`
`JrpcgenDeclaration`
`newFixedVectorDeclaration(String identifier, String type, String size)`
`JrpcgenDeclaration`
`newIndirectionDeclaration(String identifier, String type)`
`JrpcgenDeclaration`
`newOpaqueDeclaration(String identifier, String size)`
`org.acplt.oncrpc.apps.jrpcgen.JrpcgenParamInfo`
`newParamInfo(String parameterType, String parameterName)`
`org.acplt.oncrpc.apps.jrpcgen.JrpcgenProcedureInfo`
`newProcedureInfo(String jdoc, String procedureId, String procedureNumber, String resultType, org.acplt.oncrpc.apps.jrpcgen.JrpcgenParamInfo.Table parameters)`
`org.acplt.oncrpc.apps.jrpcgen.JrpcgenProcedureInfo`
`newProcedureInfo(String procedureId, String procedureNumber, String resultType, org.acplt.oncrpc.apps.jrpcgen.JrpcgenParamInfo.Table parameters)`
`JrpcgenDeclaration`
`newScalarDeclaration(String identifier, String type)`
`JrpcgenDeclaration`
`newStringDeclaration(String identifier, String size)`
`org.acplt.oncrpc.apps.jrpcgen.JrpcgenVersionInfo`
`newVersionInfo(String versionId, String versionNumber, org.acplt.oncrpc.apps.jrpcgen.JrpcgenProcedureInfo.Table procedures)`
`JrpcgenDeclaration`
`newVoidDeclaration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JrpcgenModule

public JrpcgenModule(JrpcgenContext context)

## Method Details

### addConstant

public JrpcgenConst addConstant(String identifier, String value)

### addEnumerationElement

public JrpcgenConst addEnumerationElement(String identifier, String value)

### addEnumeration

public JrpcgenEnum addEnumeration(String identifier, JrpcgenConst.Table elements)

### addTypedefinition

public JrpcgenTypedefinition addTypedefinition(JrpcgenDeclaration declaration)

### addStruct

public JrpcgenStruct addStruct(String identifier, JrpcgenDeclaration.Table elements)

### addUnion

public JrpcgenUnion addUnion(String identifier, JrpcgenDeclaration discriminant, Vector<JrpcgenUnionArm> arms)

### addProgramInfo

public org.acplt.oncrpc.apps.jrpcgen.JrpcgenProgramInfo addProgramInfo(String programId, String programNumber, org.acplt.oncrpc.apps.jrpcgen.JrpcgenVersionInfo.Table versions)

### newScalarDeclaration

public JrpcgenDeclaration newScalarDeclaration(String identifier, String type)

### newFixedVectorDeclaration

public JrpcgenDeclaration newFixedVectorDeclaration(String identifier, String type, String size)

### newDynamicVectorDeclaration

public JrpcgenDeclaration newDynamicVectorDeclaration(String identifier, String type, String size)

### newIndirectionDeclaration

public JrpcgenDeclaration newIndirectionDeclaration(String identifier, String type)

### newStringDeclaration

public JrpcgenDeclaration newStringDeclaration(String identifier, String size)

### newFixedOpaqueDeclaration

public JrpcgenDeclaration newFixedOpaqueDeclaration(String identifier, String size)

### newOpaqueDeclaration

public JrpcgenDeclaration newOpaqueDeclaration(String identifier, String size)

### newVoidDeclaration

public JrpcgenDeclaration newVoidDeclaration()

### newVersionInfo

public org.acplt.oncrpc.apps.jrpcgen.JrpcgenVersionInfo newVersionInfo(String versionId, String versionNumber, org.acplt.oncrpc.apps.jrpcgen.JrpcgenProcedureInfo.Table procedures)

### newProcedureInfo

public org.acplt.oncrpc.apps.jrpcgen.JrpcgenProcedureInfo newProcedureInfo(String jdoc, String procedureId, String procedureNumber, String resultType, org.acplt.oncrpc.apps.jrpcgen.JrpcgenParamInfo.Table parameters)

### newProcedureInfo

public org.acplt.oncrpc.apps.jrpcgen.JrpcgenProcedureInfo newProcedureInfo(String procedureId, String procedureNumber, String resultType, org.acplt.oncrpc.apps.jrpcgen.JrpcgenParamInfo.Table parameters)

### newParamInfo

public org.acplt.oncrpc.apps.jrpcgen.JrpcgenParamInfo newParamInfo(String parameterType, String parameterName)

### generateJavaFiles

public void generateJavaFiles()